| Modifier and Type | Method and Description |
|---|---|
CompletableFuture<EmptyResponse> |
ProjectEndpoints.bulkModifyProjects(BulkModifyProjects.BulkModifyProjectsRequest request)
This endpoint is used to modify properties about projects in bulk.
|
CompletableFuture<EmptyResponse> |
ProjectEndpoints.changeProjectIcon(String projectId,
File file)
This endpoint is used to change the icon of a project.
|
CompletableFuture<EmptyResponse> |
ProjectEndpoints.changeProjectIcon(String projectId,
InputStream stream,
String fileName)
This endpoint is used to change the icon of a project.
|
CompletableFuture<EmptyResponse> |
ProjectEndpoints.createGalleryImage(String slug,
CreateGalleryImage.CreateGalleryImageRequest request)
This endpoint is used to create a gallery image for a project.
|
CompletableFuture<EmptyResponse> |
ProjectEndpoints.delete(String project)
This endpoint is used to delete a project by its ID.
|
CompletableFuture<EmptyResponse> |
ProjectEndpoints.deleteGalleryImage(String slug,
String imageUrl)
This endpoint is used to delete a gallery image for a project.
|
CompletableFuture<EmptyResponse> |
ProjectEndpoints.deleteProjectIcon(String projectId)
This endpoint is used to delete a project icon.
|
CompletableFuture<EmptyResponse> |
ProjectEndpoints.followProject(String slug)
This endpoint is used to follow a project.
|
com.google.gson.reflect.TypeToken<EmptyResponse> |
DeleteProject.getResponseClass()
Returns the response class.
|
com.google.gson.reflect.TypeToken<EmptyResponse> |
BulkModifyProjects.getResponseClass()
Returns the response class.
|
com.google.gson.reflect.TypeToken<EmptyResponse> |
DeleteProjectIcon.getResponseClass() |
com.google.gson.reflect.TypeToken<EmptyResponse> |
ScheduleProject.getResponseClass()
Returns the response class.
|
com.google.gson.reflect.TypeToken<EmptyResponse> |
ChangeProjectIcon.getResponseClass()
Returns the response class.
|
CompletableFuture<EmptyResponse> |
ProjectEndpoints.modifyGalleryImage(String slug,
ModifyGalleryImage.ModifyGalleryImageRequest request)
This endpoint is used to modify a gallery image for a project.
|
CompletableFuture<EmptyResponse> |
ProjectEndpoints.scheduleProject(String projectId,
ScheduleProject.ScheduleProjectRequest request)
This endpoint is used to schedule a project.
|
CompletableFuture<EmptyResponse> |
ChangeProjectIcon.sendRequest(ChangeProjectIcon.ChangeProjectIconRequest request,
Map<String,String> urlParams)
Sends the request.
|
CompletableFuture<EmptyResponse> |
ProjectEndpoints.unfollowProject(String slug)
This endpoint is used to unfollow a project.
|
| Modifier and Type | Method and Description |
|---|---|
com.google.gson.reflect.TypeToken<EmptyResponse> |
FollowProject.getResponseClass()
Returns the response class.
|
com.google.gson.reflect.TypeToken<EmptyResponse> |
UnfollowProject.getResponseClass()
Returns the response class.
|
| Modifier and Type | Method and Description |
|---|---|
com.google.gson.reflect.TypeToken<EmptyResponse> |
DeleteGalleryImage.getResponseClass()
Returns the response class.
|
com.google.gson.reflect.TypeToken<EmptyResponse> |
ModifyGalleryImage.getResponseClass()
Returns the response class.
|
com.google.gson.reflect.TypeToken<EmptyResponse> |
CreateGalleryImage.getResponseClass()
Returns the class of the response.
|
CompletableFuture<EmptyResponse> |
CreateGalleryImage.sendRequest(CreateGalleryImage.CreateGalleryImageRequest parameters,
Map<String,String> urlParams)
Gets the type token of the response.
|
| Modifier and Type | Method and Description |
|---|---|
CompletableFuture<EmptyResponse> |
TeamsEndpoints.addMemberToTeam(String teamId,
String userId)
This endpoint is used to add a member to a team.
|
com.google.gson.reflect.TypeToken<EmptyResponse> |
AddMemberToTeam.getResponseClass()
Returns the response class.
|
com.google.gson.reflect.TypeToken<EmptyResponse> |
JoinTeam.getResponseClass()
Returns the response class.
|
com.google.gson.reflect.TypeToken<EmptyResponse> |
TransferOwnership.getResponseClass()
Returns the response class.
|
com.google.gson.reflect.TypeToken<EmptyResponse> |
RemoveMemberFromTeam.getResponseClass()
Returns the response class.
|
com.google.gson.reflect.TypeToken<EmptyResponse> |
ModifyTeamMemberInfo.getResponseClass()
Returns the response class.
|
CompletableFuture<EmptyResponse> |
TeamsEndpoints.joinTeam(String teamId)
This endpoint is used to join a team.
|
CompletableFuture<EmptyResponse> |
TeamsEndpoints.modifyTeamMemberInfo(String teamId,
String memberId,
ModifyTeamMemberInfo.ModifyTeamMemberInfoRequest request)
This endpoint is used to modify a team member's information.
|
CompletableFuture<EmptyResponse> |
TeamsEndpoints.removeMemberFromTeam(String teamId,
String memberId)
This endpoint is used to remove a member from a team.
|
CompletableFuture<EmptyResponse> |
TeamsEndpoints.transferOwnership(String teamId,
String newOwnerId)
This endpoint is used to transfer ownership of a team to another user.
|
| Modifier and Type | Method and Description |
|---|---|
CompletableFuture<EmptyResponse> |
UserEndpoints.changeProfilePicture(String id,
File file)
Modifies the profile picture of a user by their ID
|
CompletableFuture<EmptyResponse> |
UserEndpoints.changeProfilePicture(String id,
InputStream stream,
String filename)
Modifies the profile picture of a user by their ID
|
CompletableFuture<EmptyResponse> |
UserEndpoints.deleteUser(String id)
Deletes a user by their ID
|
com.google.gson.reflect.TypeToken<EmptyResponse> |
ChangeUserIcon.getResponseClass()
Returns the response class.
|
com.google.gson.reflect.TypeToken<EmptyResponse> |
DeleteUser.getResponseClass()
Returns the response class.
|
com.google.gson.reflect.TypeToken<EmptyResponse> |
ModifyUser.getResponseClass()
Returns the response class.
|
CompletableFuture<EmptyResponse> |
UserEndpoints.modifyUser(String id,
ModifyUser.ModifyUserRequest request)
Modifies a user by their ID
|
CompletableFuture<EmptyResponse> |
ChangeUserIcon.sendRequest(ChangeUserIcon.ChangeUserIconRequest request,
Map<String,String> urlParams)
Sends the request.
|
| Modifier and Type | Method and Description |
|---|---|
CompletableFuture<EmptyResponse> |
VersionEndpoints.addFilesToVersion(String versionId,
List<File> files)
Add files to version
|
CompletableFuture<EmptyResponse> |
VersionEndpoints.addFilesToVersion(String versionId,
Map<String,InputStream> files)
Add files to a version.
|
CompletableFuture<EmptyResponse> |
VersionEndpoints.deleteProjectVersion(String versionId)
Deletes a version based on the version id
|
com.google.gson.reflect.TypeToken<EmptyResponse> |
ScheduleVersion.getResponseClass()
Returns the response class to use.
|
com.google.gson.reflect.TypeToken<EmptyResponse> |
DeleteVersion.getResponseClass()
Returns the response class.
|
com.google.gson.reflect.TypeToken<EmptyResponse> |
AddFilesToVersion.getResponseClass()
Returns the response class.
|
CompletableFuture<EmptyResponse> |
VersionEndpoints.scheduleVersion(String versionId,
ScheduleVersion.ScheduleVersionRequest request)
Schedules a version.
|
CompletableFuture<EmptyResponse> |
AddFilesToVersion.sendRequest(Map<String,InputStream> request,
Map<String,String> urlParams)
Sends the request.
|
| Modifier and Type | Method and Description |
|---|---|
CompletableFuture<EmptyResponse> |
VersionFilesEndpoints.deleteFileByHash(FileHash algorithm,
String hash)
This endpoint is used to delete a file from a project version.
|
com.google.gson.reflect.TypeToken<EmptyResponse> |
DeleteFileByHash.getResponseClass()
Returns the response class.
|
Copyright © 2026. All rights reserved.